#
# spec file for package imv
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           imv
Version:        3.1.2
Release:        bp153.1.15
Summary:        Image viewer for X11/Wayland
License:        MIT AND GPL-2.0-or-later
Group:          Productivity/Graphics/Viewers
URL:            https://github.com/eXeC64/imv
Source:         https://github.com/eXeC64/imv/archive/v%{version}.tar.gz
BuildRequires:  asciidoc
BuildRequires:  freeimage-devel
BuildRequires:  libjpeg8-devel
BuildRequires:  libpng16-devel
BuildRequires:  librsvg-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(fontconfig)

%description
imv is a command line image viewer intended for use with tiling window managers.

%prep
%setup -q

%build
make %{?_smp_mflags} \
    PREFIX="%{_prefix}"

%install
%make_install \
    PREFIX="%{_prefix}"

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man?/%{name}*
%{_sysconfdir}/%{name}_config

%changelog
* Mon Jul  1 2019 mvetter@suse.com
- Update to 3.1.2:
  * Fix manpage packaging regression introduced in v3.1.1
- Remove imv-fixbuild.patch: upstreamed
* Mon Jun 24 2019 mvetter@suse.com
- Update to 3.1.1:
  * Adjusted Makefile to improve packaging on BSDs
- Add imv-fixbuild.patch: fixing build by creating man dirs
* Tue Jun 18 2019 mvetter@suse.com
- Update to 3.1.0:
  * Added support for multiple image loaders, allowing imv to use libraries other
    than FreeImage. This adds support for SVGs, and in the future, other formats
    as required.
  * Loaders added for libpng, libtiff, librsvg, libturbojpeg.
  * Added support for binding multiple commands to a single key
  * Support for hidpi rendering with SDL >= 2.0.10
  * Added -v flag to show version number
  * Allow 'Escape' to be bound, changing bind abort sequence to 2x'Escape'
  * Fixed bug where path list from stdin would sometime be truncated
  * New releases only published under the MIT license, with FreeImage optionally
    used under the FIPL
  * Fixed several memory leaks
  * Miscellaneous code cleanup and documentation fixes
* Mon Jan 28 2019 mvetter@suse.com
- Create package imv 3.0.0 for openSUSE
